%define upstream_name    MooseX-StrictConstructor
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Make your object constructors blow up on unknown attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Using this class to load Moose instead of just loading using Moose itself
makes your constructors "strict". If your constructor is called with an
attribute init argument that your class does not declare, then it calls
"Carp::confess()". This is a great way to catch small typos.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/MooseX

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.210.0-6.mga10
+ Revision: 2204098
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.210.0-5.mga9
+ Revision: 1809825
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-4.mga8
+ Revision: 1505419
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-3.mga7
+ Revision: 1285088
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.210.0-2.mga7
+ Revision: 1165649
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.210.0-1.mga7
+ Revision: 1157574
- update to 0.21

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-8.mga6
+ Revision: 1030630
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.190.0-7.mga6
+ Revision: 933359
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-6.mga5
+ Revision: 740555
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.190.0-5.mga5
+ Revision: 735857
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 685570
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 513241
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 370310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.190.0-1.mga2
+ Revision: 200930
- update to 0.19

* Thu Jan 05 2012 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 191216
- update to 0.17

* Wed Jun 15 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 107156
- update to 0.16

* Fri Apr 15 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 85664
- update to 0.15

* Sat Feb 26 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 60248
- update to 0.13

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 28697
- mageia rebuild
- imported package perl-MooseX-StrictConstructor


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 594879
- update to new version 0.12

* Tue Oct 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 586770
- new version

* Sun Jul 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 558784
- new version

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 554006
- adding missing buildrequires:
- update to 0.09

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 404041
- rebuild using %%perl_convert_version

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 371863
- new version

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.0
+ Revision: 281109
- update to new version 0.07

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
+ Revision: 236380
- import perl-MooseX-StrictConstructor


* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
- initial mdv release, generated with cpan2dist
